Subject: Re: [PATCH] branch: add 'branch.addCurrentBranchAsPrefix' config param

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Feb 2026 07:59:38 -0800

"Yoann Valeri via GitGitGadget" <[email-masked]> writes:

> From: VALERI Yoann <[email-masked]>
>
> This patch adds a new configuration parameter for the branch creation
> feature: 'branch.addCurrentBranchAsPrefix'. When set to true, if one

We generally do not add a configuration variable before the concept
proves useful by being available as a command line option for some
time.  Have we had a command line option that corresponds to this
feature for a year or two?  Such a command line option will be
necessary even after we decide to add a configuration variable to
allow users to override the configured value per-invocation basis,
e.g., "git branch --no-current-branch-prefix maint-2.54 v2.54.0",
when you want to use the feature for most of your branches but want
to deviate from that convention in selected cases.

Thanks.